## Create Dark Frame (2007/5/30)
# Dark for day #1
setenv WFCAMLOG /mnt/scr6/wfcamdata/obslog_070306.txt
setenv WFCAMDATA /mnt/scr6/wfcamdata
setenv WFCAMDATE 20070306

grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam1/%s/w%s_%05d.fit\n",p,d,d,$1)}'> d1.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam2/%s/x%s_%05d.fit\n",p,d,d,$1)}'> d2.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam3/%s/y%s_%05d.fit\n",p,d,d,$1)}'> d3.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam4/%s/z%s_%05d.fit\n",p,d,d,$1)}'> d4.tbl
./dark2.sh 1 d1.tbl
./dark2.sh 2 d2.tbl
./dark2.sh 3 d3.tbl
./dark2.sh 4 d4.tbl
cp dark1.fits dark10s1-070306.fits
cp dark2.fits dark10s2-070306.fits
cp dark3.fits dark10s3-070306.fits
cp dark4.fits dark10s4-070306.fits

# Dark for day #2
setenv WFCAMLOG /mbf2d/motohrkn/obslog_070307.txt
setenv WFCAMDATA /mbf2d/motohrkn/FITS
setenv WFCAMDATE 20070307

grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam1/%s/w%s_%05d.fit\n",p,d,d,$1)}'> d1.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam2/%s/x%s_%05d.fit\n",p,d,d,$1)}'> d2.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam3/%s/y%s_%05d.fit\n",p,d,d,$1)}'> d3.tbl
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam4/%s/z%s_%05d.fit\n",p,d,d,$1)}'> d4.tbl
./dark2.sh 1 d1.tbl
./dark2.sh 2 d2.tbl
./dark2.sh 3 d3.tbl
./dark2.sh 4 d4.tbl
cp dark1.fits dark10s1-070307.fits
cp dark2.fits dark10s2-070307.fits
cp dark3.fits dark10s3-070307.fits
cp dark4.fits dark10s4-070307.fits

# Create Bad Pixel Masks
setenv WFCAMLOG /mnt/scr6/wfcamdata/obslog_070306.txt
setenv WFCAMDATA /mnt/scr6/wfcamdata
setenv WFCAMDATE 20070306
set HEAD=sdf2-1; set START=978
set N=72;

# Det1
set DNO=1
./skyflat.sh ${HEAD} ${DNO} $START $N

imhist sdf2-1_sky1.fits
imdel tmp.imh,tmp2.fits
imcopy sdf2-1_sky1.fits tmp.imh
imreplace tmp.imh 1 upper=4000
imreplace tmp.imh 1 lower=15000
imreplace tmp.imh 0 lower=2000
imarith tmp.imh + badpix1.fits tmp2.fits
imreplace tmp2.fits 1 lower=1
imdel badpix1.fits 
chpixtype tmp2.fits badpix1.fits short

# Det2
set HEAD=sdf2-1; set START=978
set N=72;
set DNO=2
./skyflat.sh ${HEAD} ${DNO} $START $N

imhist sdf2-1_sky2.fits
imdel tmp.imh,tmp2.fits
imcopy sdf2-1_sky2.fits tmp.imh
imhist tmp.imh
imreplace tmp.imh 1 upper=4000
imreplace tmp.imh 1 lower=18000
imreplace tmp.imh 0 lower=2000
imarith tmp.imh + badpix2.fits tmp2.fits
imreplace tmp2.fits 1 lower=1
imdel badpix2.fits 
chpixtype tmp2.fits badpix2.fits short

# Det3
set DNO=3
./skyflat.sh ${HEAD} ${DNO} $START $N

imhist sdf2-1_sky3.fits
imdel tmp.imh,tmp2.fits
imcopy sdf2-1_sky3.fits tmp.imh
imhist tmp.imh
imreplace tmp.imh 1 upper=4000
imreplace tmp.imh 1 lower=18000
imreplace tmp.imh 0 lower=2000

imhist dark3.fits
imdel tmpd.imh
imcopy dark3.fits tmpd.imh
imarith tmpd.imh + 1000 tmpd.imh
imreplace tmpd.imh 1 lower=1500
imreplace tmpd.imh 1 upper=900
imreplace tmpd.imh 0 lower=900
imdel tmp3.fits
imarith tmp.imh + tmpd.imh tmp3.fits
imreplace tmp3.fits 1 lower=1
imdel badpix3.fits 
chpixtype tmp2.fits badpix3.fits short


# Det4
set DNO=4
./skyflat.sh ${HEAD} ${DNO} $START $N

imhist sdf2-1_sky4.fits
imdel tmp.imh,tmp2.fits
imcopy sdf2-1_sky4.fits tmp.imh
imhist tmp.imh
imreplace tmp.imh 1 upper=3000
imreplace tmp.imh 1 lower=12000
imreplace tmp.imh 0 lower=3000
imarith tmp.imh + badpix4.fits tmp2.fits
imreplace tmp2.fits 1 lower=1
imdel badpix4.fits 
chpixtype tmp2.fits badpix4.fits short

#Quad1 Test
setenv WFCAMLOG /mnt/scr6/wfcamdata/obslog_070306.txt
setenv WFCAMDATA /mnt/scr6/wfcamdata
setenv WFCAMDATE 20070306
grep DARK $WFCAMLOG|gawk -v d=$WFCAMDATE -v p=$WFCAMDATA '{if($8==10)printf("%s/wfcam1/%s/w%s_%05d.fit\n",p,d,d,$1)}'> d1.tbl
./dark2.sh 1 d1.tbl

setenv MASKRADIUS 8
set DNO=1
set HEAD=sdf2-1; set START=978
set N=72;
./skyflat.sh ${HEAD} ${DNO} $START $N
\cp ${HEAD}_skyflat${DNO}.fits flat.fits
./obj.sh ${HEAD} ${DNO} $START $N
./mask.sh ${HEAD} ${DNO} $START $N

set HEAD=msdf2-1; set START=978
set N=36;
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
./objsubcombine2.sh ${HEAD} ${DNO} $START $N 36

# Real reduction
# run as 
csh k1.csh
csh k2.csh
csh k3.csh
csh k4.csh

### Check for bad frames
ls ldata/?2007*.fits | gawk -v s=2818 '{split($1,a,"_");split(a[2],b,".");if(b[1]>s)print($0)}'> tttmp.tbl
sed 's/$/[257:386,1:1024]/g' tttmp.tbl > tttmp1.tbl
sed 's/$/[387:512,1:1024]/g' tttmp.tbl > tttmp2.tbl
\rm tttmp.imstati1 tttmp.imstati2
#imstati @tttmp1.tbl > tttmp.imstati1  
#imstati @tttmp2.tbl > tttmp.imstati2 
gawk '{if($4>80)print($0)}' tttmp.imstati2
paste tttmp.imstati1 tttmp.imstati2 | gawk '{if(NR>1)print($1,$3-$9,$3,$9)}' | gawk '{if(NF==4 && ($2>10||$2<-10))print($0)}'
sed 's/$/[1:1024,1:1024]/g' tttmp.tbl > tttmp2.tbl
\rm tttmp.imstati
gawk '{if(NR>1)print(NR,$4)}' tttmp.imstati > tttmp.pdata
cat <<EOF > tttmp.src
data tttmp.pdata
read {x 1 y 2}
limits x y
box 
hist x y
EOF

## Det 1
# no bad frame

## Det 2
# no bad frame

## Det 3
ldata/y20070306_00987.fits
ldata/y20070306_01261.fits
ldata/y20070306_01554.fits
ldata/y20070306_01876.fits
ldata/y20070306_02396.fits
ldata/y20070306_02567.fits
ldata/y20070306_02678.fits
ldata/y20070306_02815.fits
ldata/y20070306_02819.fits
ldata/y20070306_02907.fits
ldata/y20070306_02938.fits
ldata/y20070306_02950.fits
ldata/y20070306_02952.fits
ldata/y20070306_03133.fits
## Det 4
# 978-2818 : no bad frame
ldata/z20070306_02828.fits
ldata/z20070306_02917.fits
ldata/z20070306_02927.fits
ldata/z20070306_03011.fits
ldata/z20070306_03023.fits
ldata/z20070306_03038.fits
ldata/z20070306_03070.fits
ldata/z20070306_03074.fits
ldata/z20070306_03085.fits
ldata/z20070306_03092.fits

## Offset frame due to guide lost
1785 : bad


## Unstable frames
# Det 2
ldata/w20070306_02467.fits
ldata/w20070306_02468.fits
ldata/w20070306_02469.fits


# Detector 3$B$G!"(B2298$B$"$?$j$N%P%C%/%0%i%&%s%I$,$X$s!#%Q%?!<%s$,>h$C$F$$$k(B

## Final Coadd
# $B$^$:!"(Bexposure time$B$G=E$_DR$1!#(B
ls sdf2-?_1.fits sdf2-5[1-2]_1.fits | grep -v sdf2-9 > tmp1.tbl
ls exp_sdf2-?_1.fits exp_sdf2-5[1-2]_1.fits | grep -v sdf2-9 > tmp2.tbl
# exposure time$B$,:GBg$N(B1/4$B0J2<$N?M$OB-$5$J$$!#(B
imstati @tmp2.tbl > tmp2.imstati
!sed 's/^/m/g' tmp2.tbl > mtmp2.tbl 
!sed '/#/d' tmp2.imstati | gawk '{printf("imcopy %s m%s\nimreplace m%s 0 upper=%f\n",$1,$1,$1,$6/4)}' | cl 
!gawk '{printf("tmp_%03d.imh\n",NR)}'  tmp1.tbl > tmpadd.tbl
imdel @tmpadd.tbl
imarith @tmp1.tbl * @mtmp2.tbl @tmpadd.tbl

imdel tmp.fits,mtmp.fits,ntmp.fits  
imcombine @mtmp2.tbl mtmp.fits combine=sum offset=tmpoffset.tbl
imcombine @tmpadd.tbl tmp.fits combine=sum offset=tmpoffset.tbl
imcombine @tmp1.tbl tmp2.fits combine=average reject=sigclip offset=tmpoffset.tbl
imarith tmp.fits / mtmp.fits ntmp.fits
disp tmp2.fits 1 fi+ zr- zs- z1=-0.7672759 z2=1.223385
disp ntmp.fits 2 fi+ zr- zs- z1=-0.7672759 z2=1.223385


cat <<EOF > tmpoffset.tbl
0 0
0 0
0 0
0 0
0 0
0 0
0 -36
0 0
0 0
0 0
0 0
0 0
0 0
0 0
EOF


## Astrometry : 2masscomp.csh

################# OLD Commands
## Final combine
# K-3
imexam sdf?_3.fits logfile=tmpimexam.log keeplog=yes
!sed '/#/d' tmpimexam.log | gawk '{if(NR%3==0)print($1+x1+x2,$2+y1+y2);if(NR%3==1){x1=$1;y1=$2}if(NR%3==2){x2=$1;y2=$2}}' |gawk '{if(NR==1){x=$1;y=$2}print(-($1-x)/3,-($2-y)/3)}' > tmpcomb2.off

imarith sdfa_3.fits / 2.0 n_sdfa_3.fits
hedit n_sdfa_3.fits NCOMBINE 288 ver-
imarith sdfb_3.fits / 2.0 n_sdfb_3.fits
hedit n_sdfb_3.fits NCOMBINE 360 ver-
!ls sdf[1-8]_3.fits > tmpcomb2.tbl
!echo n_sdfa_3.fits >> tmpcomb2.tbl
!echo n_sdfb_3.fits >> tmpcomb2.tbl
imdel sdfk3.fits
imcombine @tmpcomb2.tbl sdfk3.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk3.fits 2 fi+

!ls sdf[1-8]_3.fits > tmpcomb2.tbl
imdel sdfk3sec5.fits
imcombine @tmpcomb2.tbl sdfk3sec5.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk3sec5.fits 2 fi+

# K-4
imexam sdf?_4.fits logfile=offsetk4.log keeplog=yes
!sed '/#/d' offsetk4.log | gawk '{if(NR%3==0)print($1+x1+x2,$2+y1+y2);if(NR%3==1){x1=$1;y1=$2}if(NR%3==2){x2=$1;y2=$2}}' |gawk '{if(NR==1){x=$1;y=$2}print(-($1-x)/3,-($2-y)/3)}' > tmpcomb2.off

imarith sdfa_4.fits / 2.0 n_sdfa_4.fits
hedit n_sdfa_4.fits NCOMBINE 288 ver-
imarith sdfb_4.fits / 2.0 n_sdfb_4.fits
hedit n_sdfb_4.fits NCOMBINE 360 ver-
!ls sdf[1-8]_4.fits > tmpcomb2.tbl
!echo n_sdfa_4.fits >> tmpcomb2.tbl
!echo n_sdfb_4.fits >> tmpcomb2.tbl
imdel sdfk4.fits
imcombine @tmpcomb2.tbl sdfk4.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk4.fits 2 fi+

!ls sdf[1-8]_4.fits > tmpcomb2.tbl
imdel sdfk4sec5.fits
imcombine @tmpcomb2.tbl sdfk4sec5.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk4sec5.fits 2 fi+

# K-1
imexam sdf?_1.fits logfile=offsetk1.log keeplog=yes
!sed '/#/d' offsetk1.log | gawk '{if(NR%3==0)print($1+x1+x2,$2+y1+y2);if(NR%3==1){x1=$1;y1=$2}if(NR%3==2){x2=$1;y2=$2}}' |gawk '{if(NR==1){x=$1;y=$2}print(-($1-x)/3,-($2-y)/3)}' > tmpcomb2.off

imarith sdfa_1.fits / 2.0 n_sdfa_1.fits
hedit n_sdfa_1.fits NCOMBINE 288 ver-
imarith sdfb_1.fits / 2.0 n_sdfb_1.fits
hedit n_sdfb_1.fits NCOMBINE 360 ver-
!ls sdf[1-8]_1.fits > tmpcomb2.tbl
!echo n_sdfa_1.fits >> tmpcomb2.tbl
!echo n_sdfb_1.fits >> tmpcomb2.tbl
imdel sdfk1.fits
imcombine @tmpcomb2.tbl sdfk1.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk1.fits 2 fi+

!ls sdf[1-8]_1.fits > tmpcomb2.tbl
imdel sdfk1sec5.fits
imcombine @tmpcomb2.tbl sdfk1sec5.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk1sec5.fits 2 fi+

# K-2
imexam sdf?_2.fits logfile=offsetk2.log keeplog=yes
!sed '/#/d' offsetk2.log | gawk '{if(NR%3==0)print($1+x1+x2,$2+y1+y2);if(NR%3==1){x1=$1;y1=$2}if(NR%3==2){x2=$1;y2=$2}}' |gawk '{if(NR==1){x=$1;y=$2}print(-($1-x)/3,-($2-y)/3)}' > tmpcomb2.off

imarith sdfa_2.fits / 2.0 n_sdfa_2.fits
hedit n_sdfa_2.fits NCOMBINE 288 ver-
imarith sdfb_2.fits / 2.0 n_sdfb_2.fits
hedit n_sdfb_2.fits NCOMBINE 360 ver-
!ls sdf[1-8]_2.fits > tmpcomb2.tbl
!echo n_sdfa_2.fits >> tmpcomb2.tbl
!echo n_sdfb_2.fits >> tmpcomb2.tbl
imdel sdfk2.fits
imcombine @tmpcomb2.tbl sdfk2.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk2.fits 2 fi+

!ls sdf[1-8]_2.fits > tmpcomb2.tbl
imdel sdfk2sec5.fits
imcombine @tmpcomb2.tbl sdfk2sec5.fits offsets=tmpcomb2.off reject=sigclip combine=average
disp sdfk2sec5.fits 2 fi+


##
del ver03.gif
export sdf3_3old.fits ver03.gif gif outbands='setcmap(zscale(i1,899.2,907.2),"grey")'
del ver04.gif
export sdf3_3.fits ver04.gif gif outbands='setcmap(zscale(i1,-4.2,3.8),"grey")'


#z1=-1.961439 z2=2.308813



cat <<EOF > tmp.txt
[2530:2534,3003:3007]       25 -0.08284 -0.04996   0.2472  -0.5125   0.4084
[1662:1666,3286:3290]       25  -0.1095 -0.08987   0.3197   -0.541   0.7281
 [708:712,3106:3110]       25   0.1835  0.08472   0.2757  -0.1715   0.8566
 [925:929,1908:1912]       25  -0.1131  -0.1162   0.3668  -0.7294   0.5802
[1473:1477,1851:1855]       25  -0.1579  -0.2626   0.4217  -0.7108   0.8561
[2530:2534,2106:2110]       25 -0.02993  -0.0672   0.2592  -0.4633    0.471
[3153:3157,2804:2808]       25 -0.05415  0.03696   0.3319  -0.7326   0.4475
[3361:3365,3692:3696]       25 -0.07133 2.717E-5   0.2675   -0.683   0.4581
[2794:2798,3739:3743]       25 -0.03551 -0.06072   0.2605  -0.6012   0.3608
[3559:3563,1304:1308]       25   0.1454   0.1452   0.2608   -0.385   0.5896
 [2577:2581,870:874]       25  0.06962   0.1658   0.3893  -0.6578   0.7679
   [850:854,643:647]       25 -0.05654 -0.01531   0.3462  -0.8031    0.598
   [680:684,416:420]       25  -0.2615   -0.286   0.2654  -0.7986   0.3083
 [1407:1411,435:439]       25  0.06819   0.1402   0.1928  -0.2779    0.368
 [2152:2156,181:185]       25   0.1075   0.1658   0.2367   -0.201   0.5734
[1983:1987,1105:1109]       25   0.1318  0.07007   0.3206  -0.4112   0.6412
 [633:637,1681:1685]       25  0.01859 -0.03149   0.2078  -0.4495   0.3833
 [208:212,2030:2034]       25  -0.1479  -0.1505   0.3332  -0.7117   0.5193
 [510:514,2314:2318]       25 -0.07915 -0.08894   0.2222  -0.4882   0.3889
 [812:816,3003:3007]       25 -0.01152 -0.02803   0.3271  -0.5567    0.892
[1784:1788,1096:1100]       25   0.1879   0.2234   0.2763  -0.3096   0.6853
 [1105:1109,992:996]       25 -0.03478 -0.01449   0.2723   -0.573   0.5311
   [784:788,539:543]       25  0.04947  0.06035   0.2843  -0.4194   0.5881
 [1020:1024,454:458]       25 -0.05988  -0.1477   0.3506  -0.5806   0.6363
 [2492:2496,662:666]       25  -0.0675 -0.02936   0.2825  -0.8581   0.4238
[2445:2449,1030:1034]       25 -0.04504 -0.01905   0.2949  -0.6325   0.5551
[3804:3808,1209:1213]       25  -0.2182  -0.2881   0.3664  -0.7967   0.5345
[3417:3421,1209:1213]       25   0.2167   0.1875   0.3618  -0.7025   0.7298
[3106:3110,2134:2138]       25 -0.08166  -0.1129    0.301  -0.6623   0.7146
[3068:3072,2351:2355]       25  -0.0983  -0.1098   0.2694   -0.584   0.4063
[3011:3015,2880:2884]       25  -0.1191  -0.2052   0.4213  -0.7697   0.7335
[3710:3714,2814:2818]       25 0.004701 -0.01332    0.426   -0.568   0.8237
[3700:3704,3512:3516]       25  0.04288 -0.04921    0.374  -0.5502   0.6057
[3002:3006,3503:3507]       25  0.07799  0.07351    0.338  -0.4147   0.6613
[2757:2761,3663:3667]       25  -0.1573  -0.1468   0.4988  -0.9448    0.739
[1463:1467,3493:3497]       25   0.1256   0.1186   0.3106  -0.4981   0.6525
 [708:712,3909:3913]       25  0.02306 -0.04033   0.2718   -0.546   0.5951
 [501:505,2332:2336]       25 -0.00189  0.01411   0.2304  -0.3104   0.6404
 [227:231,2153:2157]       25  -0.1189  -0.1249   0.2342  -0.7097   0.2583
   [425:429,775:779]       25  -0.1308  -0.2125   0.3512  -0.6313   0.7143
 [1029:1033,473:477]       25  0.05956  0.07562   0.3748  -0.6829    0.982
   [369:373,379:383]       25  0.09652  0.09634   0.2828  -0.6885   0.6587
 [1143:1147,143:147]       25 -0.06942 -0.08306   0.2821    -0.67   0.5128
 [3228:3232,162:166]       25 -0.07634  -0.1187   0.3921  -0.8513    0.478
[2794:2798,1360:1364]       25 -0.08871 -0.04201   0.2991  -0.6441   0.3666
[2341:2345,1341:1345]       25 -0.03121 -0.04049   0.3096  -0.5413   0.7282
[2209:2213,1719:1723]       25 9.915E-4 -0.03217   0.2236  -0.5197    0.541
[2001:2005,2030:2034]       25  0.04851  0.03127   0.2484  -0.3293   0.6436
[1992:1996,2455:2459]       25   0.2077   0.2593   0.2201  -0.2392   0.6964
[1756:1760,2616:2620]       25   0.1876   0.2061    0.244  -0.1627   0.6516
[1699:1703,2927:2931]       25  0.09034  0.06346   0.1907  -0.2604   0.5063
[1596:1600,3003:3007]       25  0.02466  0.00585   0.3263   -0.422   0.7569
[1681:1685,3050:3054]       25  -0.1516  -0.2037   0.2769   -0.651   0.4124
[1699:1703,3267:3271]       25  0.06645   0.0328   0.2618  -0.3456     0.89
[1397:1401,3324:3328]       25   0.1602   0.1238   0.2286  -0.2362   0.6903
EOF


sed 's/]/ /g' tmp.txt | sed 's/\[/ /g' | sed 's/:/ /g' | gawk '{x=($1+$2)/2;y=($3+$4)/2;printf(": %f %f m\n",x,y)}' > tmp.cur

gawk 'BEGIN{for(i=100;i<4000;i+=100){for(j=100;j<4000;j+=100)printf(": %f %f m\n",i,j)}}' > tmp.cur

del old.dat
imexam olddata/sdf1_3.fits logfile=old.dat keeplog+ graphcur- wcs="physical" graphic="stdgraph" imagecur=tmp.cur use_dis-
del new.dat
imexam sdf1_3.fits logfile=new.dat keeplog+ graphcur- wcs="physical" graphic="stdgraph" imagecur=tmp.cur use_dis-

del all3.dat
imexam olddata/sdfk3.fits logfile=all3.dat keeplog+ graphcur- wcs="physical" graphic="stdgraph" imagecur=tmp.cur use_dis-

sed '/#/d' old.dat | gawk 'END{print(NR,1)}' > tmp.hist
sed '/#/d' old.dat | gawk '{print(NR,1,$2*$3)}' >> tmp.hist
\rm old.fits
a2fits tmp.hist old.fits
sed '/#/d' new.dat | gawk 'END{print(NR,1)}' > tmp.hist
sed '/#/d' new.dat | gawk '{print(NR,1,$2*$3)}' >> tmp.hist
\rm new.fits
a2fits tmp.hist new.fits

sed '/#/d' all3.dat | gawk 'END{print(NR,1)}' > tmp.hist
sed '/#/d' all3.dat | gawk '{print(NR,1,$2*$3)}' >> tmp.hist
\rm all3.fits
a2fits tmp.hist all3.fits
del allhist.dat
imhist all3.fits li+ z1=-10 z2=10 nbin=40 logy- > allhist.dat
gawk 'END{print(NR,1)}' allhist.dat > tmp.hist
gawk '{print(NR,1,$2)}' allhist.dat >> tmp.hist
a2fits tmp.hist hist.fits


del all3.dat
imdel test.fits
imarith /mb55a/yoshida/wfcam_reduction/images/sdf_3_K.fits / 2 test.fits
imexam test.fits logfile=all3.dat keeplog+ graphcur- wcs="physical" graphic="stdgraph" imagecur=tmp.cur use_dis-
sed '/#/d' all3.dat | gawk 'END{print(NR,1)}' > tmp.hist
sed '/#/d' all3.dat | gawk '{print(NR,1,$2*$3)}' >> tmp.hist
\rm all3.fits
a2fits tmp.hist all3.fits
del allhist.dat
imhist all3.fits li+ z1=-10 z2=10 nbin=40 logy- > allhist.dat
gawk 'END{print(NR,1)}' allhist.dat > tmp.hist
gawk '{print(NR,1,$2)}' allhist.dat >> tmp.hist
\rm hist-y.fits
a2fits tmp.hist hist-y.fits

imexam hist-y.fits

sigma=5.382 (motohara)
sigma=6.82 (yoshida)

gawk 'BEGIN{print(log(6.82/5.382)/log(10)*2.5)}'

## $B=jMW;~4V;n83(B (2007/5/24, Ver 0.62)
# rokkaku(Xeon 2.40GHz), /tmp (tmpfs)$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BNFS$B1[$7$K(Bkarasuma(e100)$B$+$i$H$C$F$/$k(B
# 
dark2.sh : 32frames : 65sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 32sec
obj.sh            : 66sec 
mask.sh           : 41sec
maskskyflat.sh    : 22sec
objsubcombine1.sh : 13sec
objsubcombine2.sh : 161sec

rm clustera_sky1.fits clustera-a_1.fits 
# rokkaku(Xeon 2.40GHz), /mnt/rscr2$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BNFS$B1[$7$K(Bkarasuma(e100)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 241sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 38sec
obj.sh            : 162sec / 171sec
mask.sh           : 47sec
maskskyflat.sh    : 36sec
objsubcombine1.sh : 41sec
objsubcombine2.sh : 376sec

# karasuma(PIII 1GHz), /tmp$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BUSB-HD(/mnt/scr6)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 126sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 50sec
obj.sh            : 144sec
mask.sh           : 74sec
maskskyflat.sh    : 50sec
objsubcombine1.sh : 34sec
objsubcombine2.sh : 377sec

# karasuma(PIII 1GHz), /mnt/scr3$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BUSB-HD(/mnt/scr6)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 139sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 53sec
obj.sh            : 156sec
mask.sh           : 76sec
maskskyflat.sh    : 53sec
objsubcombine1.sh : 35sec
objsubcombine2.sh : 381sec

# rokkaku(Xeon 2.40GHz), /tmp (tmpfs)$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BRAID-5(/mnt/rscr2)$B$+$i$H$C$F$/$k(B
# 
dark2.sh : 32frames : 59sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 21sec
obj.sh            : 56sec/126sec(due to swap?)
mask.sh           : 36sec
maskskyflat.sh    : 22sec
objsubcombine1.sh : 14sec
objsubcombine2.sh : 150sec

# rokkaku(Xeon 2.40GHz), /mnt/rscr2$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O(BRAID-5(/mnt/rscr2)$B$+$i$H$C$F$/$k(B
dark2.sh : 32frames : 211sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 45sec
obj.sh            : 159sec
mask.sh           : 39sec
maskskyflat.sh    : 51sec
objsubcombine1.sh : 43sec
objsubcombine2.sh : 309sec

# sb72(UltraSPARC-IIIi 1280MHz), /remote/mbf2d$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O%j%b!<%H%5!<%P(B(/remote/mbf2d)$B$+$i$H$C$F$/$k(B
# IRAF$B:n6H%G%#%l%/%H%j(B $HDR
dark2.sh : 30frames : 100sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 49sec
obj.sh            : 103sec
mask.sh           : 53sec
maskskyflat.sh    : 54sec
objsubcombine1.sh : 33sec
objsubcombine2.sh : 302sec

# sb72(UltraSPARC-IIIi 1280MHz), /remote/mbf2d$B$K(Bprocwfcam$BE83+(B
# $B@8%G!<%?$O%j%b!<%H%5!<%P(B(/remote/mbf2d)$B$+$i$H$C$F$/$k(B
# IRAF$B:n6H%G%#%l%/%H%j(B /tmp
dark2.sh : 30frames : 103sec
# $B0J2<!"(B9$B%U%l!<%`(B
skyflat.sh        : 49sec
obj.sh            : 102sec
mask.sh           : 50sec
maskskyflat.sh    : 50sec
objsubcombine1.sh : 33sec
objsubcombine2.sh : 234sec

