#! /bin/csh

# display no image
setenv WFCAMDISP 0

set N=36
set N2=72
set NPOINT=36
set COUNTER=$ALLN

if ( $N2 > $ALLN ) then
set N2=$ALLN
endif

echo ALLN=$ALLN, N2=$N2 
set HEAD=${ALLHEAD}a; set START=$ALLSTART
./skyflat.sh ${HEAD} ${DNO} $START $N2
\cp ${HEAD}_skyflat${DNO}.fits flat.fits
./obj.sh ${HEAD} ${DNO} $START $N2
./mask.sh ${HEAD} ${DNO} $START $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}a; set START=$ALLSTART
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}b; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}c; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}d; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}e; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}f; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}g; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}h; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}i; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $COUNTER > 0 ) then
echo "$COUNTER frames left.."
set HEAD=${ALLHEAD}j; set START=`echo $START $N | gawk '{print($1+$2)}'`
./maskskyflat.sh ${HEAD} ${DNO} $START $N
\cp mask${HEAD}_skyflat${DNO}.fits flat.fits
\cp exp_mask${HEAD}_skyflat${DNO}.pl flatexp.pl
./objsubcombine1.sh ${HEAD} ${DNO} $START $N
endif
@ COUNTER -= $N

if ( $ALLN < $NPOINT ) then
set NPOINT=$ALLN
endif

echo "Combining all $ALLN frames.."
./objsubcombine2a.sh ${ALLHEAD} ${DNO} $ALLSTART $ALLN $NPOINT

