# Compare with 2MASS catalogue
# http://irsa.ipac.caltech.edu/applications/Gator/
# wget http://irsa.ipac.caltech.edu:80/workspace/TMP_AAALIaylh/Gator/3764/fp_2mass.fp_psc3764.tbl

# K Detector 1
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.9 && $2>27.12 && $2<27.37){printf("%s %s\n",$1,$2)}}' > 2mass1.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k1cat.dat
 876.97 2500.08 200.707004 27.177788  
2635.31 2842.07 200.685663 27.276108
3024.76 1100.56 200.795019 27.298119
2763.09  658.88 200.822892 27.283682
1593.68 1703.21 200.757245 27.218115
1500.68 1174.96 200.790592 27.212992
EOF

gawk '{print($1,$2+36,$3,$4)}' k1cat.dat > k1cat2.dat

#ǤȤꤢ
del k1ccmap.dat
ccmap k1cat.dat k1ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_1.fits k1ccmap.dat k1cat.dat

del k1ccmap2.dat
ccmap k1cat2.dat k1ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_1.fits k1ccmap2.dat k1cat2.dat

#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

# dx=0.182 dy=0.152 
setenv FRAMEID sdf2-1_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.155 dy=0.126 
setenv FRAMEID sdf2-2_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.172 dy=0.101 
setenv FRAMEID sdf2-3_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.164 dy=0.139 
setenv FRAMEID sdf2-4_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.289 dy=0.273
setenv FRAMEID sdf2-5_1
./wcsfit.csh k1ccmap2.dat k1cat2.dat

# dx=0.179 dy=0.162 
setenv FRAMEID sdf2-51_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.179 dy=0.15 
setenv FRAMEID sdf2-52_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.164 dy=0.152 
setenv FRAMEID sdf2-6_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.17 dy=0.147 
setenv FRAMEID sdf2-7_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.178 dy=0.151 
setenv FRAMEID sdf2-8_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.156 dy=0.145 
setenv FRAMEID sdf2-9_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.168 dy=0.133 
setenv FRAMEID sdf2-a_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.17 dy=0.141 
setenv FRAMEID sdf2-b_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.172 dy=0.137 
setenv FRAMEID sdf2-c_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# dx=0.169 dy=0.146 
setenv FRAMEID sdf2-z_1
./wcsfit.csh k1ccmap.dat k1cat.dat

# K Detector 2
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>201 && $1<201.4 && $2>27.1 && $2<27.4){printf("%s %s\n",$1,$2)}}' > 2mass2.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k2cat.dat
 269.11 2016.60 201.344944 27.249226 
1035.28 2233.31 201.296533 27.236946
1593.95 1692.50 201.261275 27.267399
 972.08 3123.64 201.300779 27.187138
EOF
gawk '{print($1,$2+36,$3,$4)}' k2cat.dat > k2cat2.dat


#ǤȤꤢ
del k2ccmap.dat
ccmap k2cat.dat k2ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-2_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-3_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-4_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-51_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-52_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-6_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-7_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-8_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-9_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-a_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-b_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-c_2.fits k2ccmap.dat k2cat.dat
ccsetwcs sdf2-z_2.fits k2ccmap.dat k2cat.dat

del k2ccmap2.dat
ccmap k2cat2.dat k2ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_2.fits k2ccmap2.dat k2cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

setenv FRAMEID tmp
./wcsfit.csh 2mass2.cat

# dx=0.119 dy=0.149 
setenv FRAMEID sdf2-1_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.14 
setenv FRAMEID sdf2-2_2
./wcsfit.csh 2mass2.cat

# dx=0.127 dy=0.149 
setenv FRAMEID sdf2-3_2
./wcsfit.csh 2mass2.cat

# dx=0.117 dy=0.145 
setenv FRAMEID sdf2-4_2
./wcsfit.csh 2mass2.cat

# dx=0.301 dy=0.208 
setenv FRAMEID sdf2-5_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.153 
setenv FRAMEID sdf2-51_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.139
setenv FRAMEID sdf2-52_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.143
setenv FRAMEID sdf2-6_2
./wcsfit.csh 2mass2.cat

# dx=0.122 dy=0.139
setenv FRAMEID sdf2-7_2
./wcsfit.csh 2mass2.cat

# dx=0.121 dy=0.137
setenv FRAMEID sdf2-8_2
./wcsfit.csh 2mass2.cat

# dx=0.116 dy=0.136
setenv FRAMEID sdf2-9_2
./wcsfit.csh 2mass2.cat

# dx=0.118 dy=0.138
setenv FRAMEID sdf2-a_2
./wcsfit.csh 2mass2.cat

# dx=0.12 dy=0.138
setenv FRAMEID sdf2-b_2
./wcsfit.csh 2mass2.cat

# dx=0.124 dy=0.138
setenv FRAMEID sdf2-c_2
./wcsfit.csh 2mass2.cat

# dx=0.12 dy=0.136
setenv FRAMEID sdf2-z_2
./wcsfit.csh 2mass2.cat

# K Detector 4
# create region file
echo global color=green font=\"helvetica 10 normal\" select=1 edit=1 move=1 delete=1 include=1 fixed=0 source > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.86 && $2>27.5 && $2<27.8){printf("fk5;circle(%s,%s,%f)\n",$1,$2,0.005-0.001*($15-12))}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.86 && $2>27.5 && $2<27.8){printf("fk5;circle(%s,%s,%f) # text={%s %s}\n",$1,$2,0.005-0.001*($15-12),$1,$2)}}' > 2mass.reg
sed '/^\\/d' fp_2mass.fp_psc3764.tbl|sed '/|/d' | gawk '{if($1>200.6 && $1<200.86 && $2>27.5 && $2<27.8){printf("%s %s\n",$1,$2)}}' > 2mass4.cat

# 礭Ƥ롣
# imexam 
cat <<EOF > k4cat.dat
1619.51 3316.54 200.702661 27.754320
2388.14 2984.61 200.751692 27.736000
2446.07 2590.94 200.755540 27.713623
2465.72 2022.98 200.756737 27.682207
2044.84 2495.23 200.730104 27.708586
EOF

gawk '{print($1,$2+36,$3,$4)}' k4cat.dat > k4cat2.dat


#ǤȤꤢ
del k4ccmap.dat
ccmap k4cat.dat k4ccmap.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-1_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-2_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-3_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-4_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-51_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-52_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-6_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-7_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-8_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-9_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-a_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-b_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-c_4.fits k4ccmap.dat k4cat.dat
ccsetwcs sdf2-z_4.fits k4ccmap.dat k4cat.dat

del k4ccmap2.dat
ccmap k4cat2.dat k4ccmap2.dat lngunits="degrees" latunits="degrees" insyste="j2000" function="polynomial" xxorder=2 xyorder=2 yxorder=2 yyorder=2 ver-
ccsetwcs sdf2-5_4.fits k4ccmap2.dat k4cat2.dat


#ǡΰ֤Ф
#del tmp.dat
#ccfind 2mass1.cat tmp.dat sdf2-1_1.fits usewcs=yes insystem="j2000" lngunits="degrees" latunit="degrees" center=no
#ǳƥե졼٥ޥåԥ

setenv FRAMEID tmp
./wcsfit.csh 2mass4.cat

# dx=0.139 dy=0.117 
setenv FRAMEID sdf2-1_4
./wcsfit.csh 2mass4.cat

# dx=0.14 dy=0.11 
setenv FRAMEID sdf2-2_4
./wcsfit.csh 2mass4.cat

# dx=0.137 dy=0.12 
setenv FRAMEID sdf2-3_4
./wcsfit.csh 2mass4.cat

# dx=0.136 dy=0.112 
setenv FRAMEID sdf2-4_4
./wcsfit.csh 2mass4.cat

# dx=0.13 dy=0.12
setenv FRAMEID sdf2-51_4
./wcsfit.csh 2mass4.cat

# dx=0.218 dy=0.285
setenv FRAMEID sdf2-5_4
./wcsfit.csh 2mass4.cat

# dx=0.133 dy=0.107
setenv FRAMEID sdf2-52_4
./wcsfit.csh 2mass4.cat

# dx=0.159 dy=0.13
setenv FRAMEID sdf2-6_4
./wcsfit.csh 2mass4.cat

# dx=0.126 dy=0.112
setenv FRAMEID sdf2-7_4
./wcsfit.csh 2mass4.cat

# dx=0.139 dy=0.123
setenv FRAMEID sdf2-8_4
./wcsfit.csh 2mass4.cat

# dx=0.132 dy=0.119
setenv FRAMEID sdf2-9_4
./wcsfit.csh 2mass4.cat

# dx=0.137 dy=0.123
setenv FRAMEID sdf2-a_4
./wcsfit.csh 2mass4.cat

# dx=0.14 dy=0.113
setenv FRAMEID sdf2-b_4
./wcsfit.csh 2mass4.cat

# dx=0.13 dy=0.124
setenv FRAMEID sdf2-c_4
./wcsfit.csh 2mass4.cat

# dx=0.156 dy=0.123
setenv FRAMEID sdf2-z_4
./wcsfit.csh 2mass4.cat





