setenv DNO 1
setenv BADFRAMETBL bad${DNO}.tbl
cat <<EOF > $BADFRAMETBL 
ldata/w20070306_01785.fits
ldata/w20070306_02467.fits
ldata/w20070306_02468.fits
ldata/w20070306_02469.fits
EOF

## Mask coordinates should be written in original pixel scale (0.4"/pix), together with radius of the mask
set MASK_ADDITION1=maskadd${DNO}.tbl 
cat <<EOF > $MASK_ADDITION1
1118.0  122.2 18
 437.7 1249.9 18
 421.4 1235.3 18
EOF

set MASK_ADDITION2=maskadd${DNO}-2.tbl 
gawk '{print($1, $2+18.24)}' $MASK_ADDITION1 > $MASK_ADDITION2

\rm tdata/*.fits
\rm ldata/*.fits
#setenv WFCAMLOG /mnt/scr6/wfcamdata/obslog_070306.txt
setenv WFCAMLOG /mbf2d/motohrkn/obslog_070306.txt
#setenv WFCAMDATA /mnt/scr6/wfcamdata
setenv WFCAMDATA /mbf2d/motohrkn/FITS
setenv WFCAMDATE 20070306
setenv MASKRADIUS 8
setenv WFCAMDISP 0
\cp dark10s${DNO}.fits dark${DNO}.fits 

setenv MASK_ADDITION $MASK_ADDITION1
setenv ALLHEAD sdf2-1;setenv ALLSTART 978;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-2;setenv ALLSTART 1172;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-3;setenv ALLSTART 1352;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-4;setenv ALLSTART 1533;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-51;setenv ALLSTART 1713;setenv ALLN 72;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv MASK_ADDITION $MASK_ADDITION2
setenv ALLHEAD sdf2-5;setenv ALLSTART 1786;setenv ALLN 35;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv MASK_ADDITION $MASK_ADDITION1
setenv ALLHEAD sdf2-52;setenv ALLSTART 1821;setenv ALLN 72;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-6;setenv ALLSTART 1893;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-7;setenv ALLSTART 2098;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-8;setenv ALLSTART 2278;setenv ALLN 36;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-9;setenv ALLSTART 2315;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-a;setenv ALLSTART 2495;setenv ALLN 180;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-b;setenv ALLSTART 2675;setenv ALLN 72;./prock1a.csh
\rm tdata/?200?????_?????.fits
setenv ALLHEAD sdf2-c;setenv ALLSTART 2747;setenv ALLN 72;./prock1a.csh
\rm tdata/?200?????_?????.fits
# 5sec exposure
setenv ALLHEAD sdf2-z;setenv ALLSTART 2819;setenv ALLN 324;./prock1a.csh
\rm tdata/?200?????_?????.fits







